Menu

## SqlserverResult extends Result
in package

SqlserverResult.php : 22

SQL Server driver for DataTables Database Result class

@internal

### Table of Contents

__construct() : mixed
count() : mixed
  Count the number of rows in the result set.
fetch() : array<string|int, mixed>
  Get the next row in a result set
fetchAll() : array<string|int, mixed>
  Get all rows in the result set
insertId() : mixed
  After an INSERT query, get the ID that was inserted.

### Methods

#### __construct()

SqlserverResult.php : 27
`public __construct(mixed $dbh, mixed $stmt) : mixed`

##### Parameters

$dbh : mixed
$stmt : mixed

##### Return values

mixed —

#### count()

SqlserverResult.php : 48

Count the number of rows in the result set.

`public count() : mixed`

@return int

##### Return values

mixed —

#### fetch()

SqlserverResult.php : 54

Get the next row in a result set

`public fetch([mixed $fetchType = PDO::FETCH_ASSOC ]) : array<string|int, mixed>`

@param int PDO row fetch style - PDO::FETCH_ASSOC is the default

##### Parameters

$fetchType : mixed = PDO::FETCH_ASSOC

##### Return values

array<string|int, mixed> —

#### fetchAll()

SqlserverResult.php : 60

Get all rows in the result set

`public fetchAll([mixed $fetchType = PDO::FETCH_ASSOC ]) : array<string|int, mixed>`

@param int PDO row fetch style - PDO::FETCH_ASSOC is the default

##### Parameters

$fetchType : mixed = PDO::FETCH_ASSOC

##### Return values

array<string|int, mixed> —

#### insertId()

SqlserverResult.php : 66

After an INSERT query, get the ID that was inserted.

`public insertId() : mixed`

@return int

##### Return values

mixed —

## Search results